# Get a Pledge by ID

## GET /pledges/{pledge\_id}

> Get a pledge by id

```json
{"openapi":"3.0.2","info":{"title":"Vault API","version":"80fbdca"},"tags":[],"security":[{"Ledger_API_Key":[],"Ledger_API_User":[]},{"Ledger_API_Key":[],"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]},{"Ledger_API_User":[]},{"Ledger_API_User":[],"Ledger_Store_Auth_Token":[]}],"components":{"securitySchemes":{"Ledger_API_Key":{"description":"If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, [see step 5 of the get started documentation](https://help.vault.ledger.com/Content/api/api_getstarted.html).","in":"header","name":"X-Ledger-API-Key","type":"apiKey"},"Ledger_API_User":{"description":"(**required**) Username of a registered API User","in":"header","name":"X-Ledger-API-User","type":"apiKey"}},"schemas":{"Pledge":{"additionalProperties":false,"properties":{"account_id":{"type":"integer"},"amount":{"type":"integer"},"asset_manager":{"$ref":"#/components/schemas/TradelinkAssetManager"},"custodian":{"$ref":"#/components/schemas/TradelinkCustodian"},"exchange":{"$ref":"#/components/schemas/TradelinkExchange"},"id":{"format":"uuid","type":"string"},"pending":{"type":"integer"},"pledge_subaccount_id":{"type":"integer"},"state":{"enum":["ASSIGNED_TO_SETTLEMENT","OUTBOUND_TRANSACTION_CONFIRMED","OUTBOUND_TRANSACTION_FAILED","PLEDGE_APPROVED","PLEDGE_CONSUMED","PLEDGE_INCREMENT_PENDING_APPROVAL","PLEDGE_READY","PLEDGE_REJECTED","RECOVERING_FROM_FAILURE","REPLEDGE_APPROVED","REPLEDGE_PENDING_APPROVAL","REPLEDGE_REJECTED","UNPLEDGE_APPROVED","UNPLEDGE_PENDING_APPROVAL","UNPLEDGE_REJECTED"],"type":"string"}},"required":["account_id","amount","asset_manager","custodian","exchange","id","pending","pledge_subaccount_id","state"],"type":"object"},"TradelinkAssetManager":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"role":{"type":"string"}},"required":["code","id","name","role"],"type":"object"},"TradelinkCustodian":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"role":{"type":"string"}},"required":["code","id","name","role"],"type":"object"},"TradelinkExchange":{"properties":{"code":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"},"role":{"type":"string"}},"required":["code","id","name","role"],"type":"object"},"Error":{"properties":{"message":{"type":"string"},"name":{"type":"string"},"status_code":{"type":"integer"}},"required":["message","name","status_code"],"type":"object"}}},"paths":{"/pledges/{pledge_id}":{"get":{"tags":["Pledges"],"description":"Get a pledge by id","parameters":[{"name":"pledge_id","in":"path","description":"pledge's id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Pledge"}}},"description":"pledge object"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"pledge not found"}}}}}}
```
